//définition de la broche 2 de la carte en tant que variable
const int led_rouge = 2;
const int pinPot = A0;
int valN_pot;
float tension_pot;
int valN_led;


void setup()
{
    // pas d'initialisation de A0 comme entrée car ce n'est qu'un entrée analogique
    // elle ne peut pas se comporter comme entrée.
    Serial.begin(9600); //initialisation de la communication série (optionnelle)
}

void loop()
{
  valN_pot=analogRead(pinPot);
  tension_pot=valN_pot*5.0/1023;//affichage de la tension présente sur A0
  Serial.print("valN_pot : ");
  Serial.print(valN_pot);
  Serial.print("\t");//insertion d'une tabulation
  Serial.print("tension_pot : ");
  Serial.println(tension_pot);
  valN_led=map(valN_pot,0,1023,0,255); // utilisation de la fonction map() pour mise à l'échelle
  analogWrite(led_rouge,valN_led);
  delay(200);
    
}
