/*Capteur ultrasons HC SR04 */
const char pin_TRIGGER = 2;
const char pin_ECHO = 3;

// Definition des variables
int distance;
int duree;


void setup(){
  Serial.begin(115200);
  pinMode(pin_TRIGGER, OUTPUT);
  pinMode(pin_ECHO, INPUT);  
}


void loop(){
// Debut de la mesure avec un signal de 10 µS applique sur TRIG //  
  digitalWrite(pin_TRIGGER, LOW); 
  delayMicroseconds(2);
  digitalWrite(pin_TRIGGER, HIGH);
  delayMicroseconds(10);
  digitalWrite(pin_TRIGGER, LOW);
  
// On mesure combien de temps le niveau logique haut est actif sur ECHO //
  duree= pulseIn(pin_ECHO, HIGH);
// Calcul de la distance (en cm) grace au temps mesuré entre l'envoie et la réception //  
  distance= duree*0.034/2;

// Affichage dans le moniteur serie de la distance mesurée //  
  Serial.print("Distance : ");
  Serial.print(distance);
  Serial.println(" cm");
  delay(500);

}
